setwd("C:/Users/Liz/Dropbox/Greenhouse germination study 2018")


pants<-read.csv("permanovadata1.csv")
as.matrix(pants)
env<-read.csv("permanovaenv.csv")

attach(env)
block<-as.factor(Block)
soil<-as.factor(Soil)

library(vegan)

perm<-how(nperm=999)
setBlocks(perm)<-with(env,block)

set.seed(123456)

#mesa<-adonis2(pants~soil, by="terms", method="bray", data=env)

mesa<-adonis2(pants~block+soil, by="terms", method="bray", permutations=perm, data=env)

pants


#mesa<-adonis2(pants~rep+soil, by="terms", method="bray", data=env, strata=rep)
mesa
### soil sig at 0

library(RVAideMemoire)
set.seed(123456)
pairwise.perm.manova(vegdist(pants,"bray"),soil,nperm=999, p.method="bonferroni")





is.na(pants)
sum(is.na(pants))
pants
help(subset)

AMF_AMFdis<-pants[c(1:11, 34:44), ]
AMF_AMFdis

AMF_AMFdisenv<-env[c(1:11, 34:44), ]
AMF_AMFdisenv

as.factor(AMF_AMFdisenv$Block)
as.factor(AMF_AMFdisenv$Soil)

perm<-how(nperm=999)
setBlocks(perm)<-with(AMF_AMFdisenv,AMF_AMFdisenv$Block)

turtle<-adonis2(AMF_AMFdis~AMF_AMFdisenv$Block+AMF_AMFdisenv$Soil, by="terms", method="bray", data=AMF_AMFdisenv, permutations =perm)
turtle
